using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.HappenAmount
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("启动服务 " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();
        }

        //static void Main(string[] args)
        //{
        //    var start = DateTime.Parse("2019-09-01");
        //    while (start.AddDays(1) < DateTime.Now)
        //    {
        //        new Services().Init(start, start.AddDays(1));
        //        start = start.AddDays(1);
        //    }
        //}
    }
}
